<?php
# PNP4Nagios template for check_mk enhanceio check
# Author: Wouter de Geus <benv-check_mk@junerules.com>

# Graphs:
# 1. hit percentages (read/write/dirty)
# 2. TODO: io hist
#
setlocale(LC_ALL, "POSIX");
$desc = str_replace("_", " ", $servicedesc);

# $opt[1]  = "--vertical-label 'Fails|Bans' --title '$hostname: EnhanceIO $desc' ";
$opt[1]  = "--title '$hostname: EnhanceIO $desc' ";

# Color
$COLORS['readhit'] = '007bff';
$COLORS['writehit']  = '33ffff';
$COLORS['writedhit'] = 'aaff33';

$def[1] =  "DEF:rhit=$RRDFILE[1]:$DS[1]:AVERAGE " ;
$def[1] .= "DEF:whit=$RRDFILE[2]:$DS[2]:AVERAGE " ;
$def[1] .= "DEF:wdhit=$RRDFILE[3]:$DS[3]:AVERAGE " ;

# area's
$def[1] .= "AREA:rhit#".$COLORS['readhit'].":\"Read Hit Pct \" " ;
$def[1] .= "GPRINT:rhit:LAST:\"%6.1lf last\" " ;
$def[1] .= "GPRINT:rhit:AVERAGE:\"%6.1lf avg\" " ;
$def[1] .= "GPRINT:rhit:MAX:\"%6.1lf max\\n\" ";                                                                                                                  

$def[1] .= "AREA:whit#".$COLORS['writehit'].":\"Write Hit Pct\" " ;
$def[1] .= "GPRINT:whit:LAST:\"%6.1lf last\" " ;
$def[1] .= "GPRINT:whit:AVERAGE:\"%6.1lf avg\" " ;
$def[1] .= "GPRINT:whit:MAX:\"%6.1lf max\\n\" ";                                                                                                                  

$def[1] .= "AREA:wdhit#".$COLORS['writedhit'].":\"Write Drt Pct\" " ;
$def[1] .= "GPRINT:wdhit:LAST:\"%6.1lf last\" " ;
$def[1] .= "GPRINT:wdhit:AVERAGE:\"%6.1lf avg\" " ;
$def[1] .= "GPRINT:wdhit:MAX:\"%6.1lf max\\n\" ";                                                                                                                  

# Warning/crit levels
if ($WARN[1]) {
 $def[1] .= "HRULE:$WARN[1]#FFFF00:\"Warning level\: $WARN[1]\" ";
}
if ($CRIT[1]) {
 $def[1] .= "HRULE:$CRIT[1]#FF0000:\"Critical level\: $CRIT[1]\\n\" ";
}

# $def[1] .= "GPRINT:tfail:LAST:\"Total fails %6.1lf \" " ;
# $def[1] .= "GPRINT:tban:LAST:\"Total bans %6.1lf \\n\" ";                                                                                                                  

?>
